Draft: Testo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Text and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Rectangle.svg Rettangolo Pagina precedente:
Pagina successiva: Quotatura Draft Dimension.svg Arrow-right.svg

Draft Text.svg Testo

Posizione nel menu
Draft → Testo
Ambiente
Draft, Architettura
Avvio veloce
T E
Introdotto nella versione
0.7
Vedere anche
Etichetta, Forma da testo


Descrizione

Lo strumento Testo inserisce una casella di testo su più righe in un determinato punto. Usa il tipo di linea e il colore impostati nel Vassoio di Draft.

Per creare un'etichetta di testo con una linea guida e una freccia usare Etichetta. Per creare testo solido o lettere 3D usare Forma da testo con Estrusione di Part.

Draft Text example.png

Per posizionare una casella di testo basta un singolo punto


Attenzione: I testi creati con la versione 0.18 non sono retrocompatibili, quindi eseguire il backup del proprio lavoro se si prova ad aprire con versioni precedenti i file creati con la 0.18.

Utilizzo

  1. Premere il pulsante Draft Text.png Testo, o premere i tasti T e poi E.
  2. Selezionare un punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto.
  3. Immettere il testo desiderato, premendo Invio tra ogni riga.
  4. Premere due volte Invio per completare l'operazione.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Tenere premuto Ctrl mentre si digita il testo per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • PremereInvio o ↓ freccia in giù per inserire una nuova riga di testo.
  • Premere ↑ freccia in su per modificare la riga di testo precedente.
  • Premere due volte Invio o ↓ freccia in giù per finire di editare il testo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Dati

  • DATAText: specifica il contenuto del blocco di testo come un elenco di stringhe; ogni elemento dell'elenco separato da una virgola indica una nuova riga.
  • DATAPosition: specifica il punto base della prima riga del blocco di testo.
  • DATAAngle: specifica la rotazione della linea di base della prima riga del blocco di testo.
  • DATAAxis: specifica l'asse da utilizzare per la rotazione.

Vista

  • VIEWDisplay Mode: se è "3D text" il testo è allineato agli assi della scena, inizialmente situati sul piano XY; se è "2D text", il testo è sempre rivolto verso la fotocamera.
  • VIEWFont Name: specifica il carattere da utilizzare per disegnare il testo. Può essere il nome di un carattere, ad esempio "Arial", uno stile predefinito come "sans", "serif" o "mono", una famiglia come "Arial,Helvetica,sans" o un nome con uno stile come "Arial:Bold". Se nel sistema non trova il font specificato, ne utilizza uno generico.
  • VIEWFont Size: specifica la dimensione delle lettere. Se l'oggetto testo viene creato nella vista ad albero ma non è visibile alcun testo, aumentare la dimensione del testo fino a renderlo visibile.
  • VIEWJustification: specifica se il testo è allineato a sinistra, a destra o al centro del punto base.
  • VIEWLine Spacing: specifica lo spazio tra le righe di testo.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Testo può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Crea un oggetto Text, nel point definito da un FreeCAD.Vector.
  • stringlist è una stringa o un elenco di stringhe; se si tratta di una lista, ogni elemento viene visualizzato nella sua propria riga.
  • Se screen è True, il testo è sempre rivolto verso la direzione della vista della telecamera, altrimenti si allinea con gli assi della scena e giace sul piano XY.

Il posizionamento del Text può essere cambiato sovrascrivendo il suo attributo Placement, o sovrascrivendo singolarmente i suoi attributi Placement.Base e Placement.Rotation.

Le proprietà di visualizzazione di Text possono essere cambiate sovrascrivendo i suoi attributi; per esempio, sovrascrivendo ViewObject.FontSize con le nuove dimensioni in millimetri.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Draft Rectangle.svg Rettangolo Pagina precedente:
Pagina successiva: Quotatura Draft Dimension.svg Arrow-right.svg